> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plude.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate connect

> Start a connect session by providing a code challenge. Record the sessionId, and use the returned url to authenticate in a browser.



## OpenAPI

````yaml get /authorization/connect
openapi: 3.0.1
info:
  title: Plude
  description: Headless subscription management and recurring billing.
  termsOfService: https://plude.com/terms
  contact:
    name: Corporate Contact
    url: https://plude.com/contact
  license:
    name: License
    url: https://plude.com/license
  version: v4.2024.7.1
servers: []
security:
  - Bearer: []
paths:
  /authorization/connect:
    get:
      tags:
        - Authorization
      summary: Initiate connect
      description: >-
        Start a connect session by providing a code challenge. Record the
        sessionId, and use the returned url to authenticate in a browser.
      parameters:
        - name: code_challenge
          in: query
          description: >-
            Required. SHA256 code challenge. See
            https://tonyxu-io.github.io/pkce-generator/.
          required: true
          schema:
            type: string
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BeginAuthorizationResult'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal Server Error
components:
  schemas:
    BeginAuthorizationResult:
      type: object
      properties:
        url:
          type: string
          description: Url to navigate the user to.
          nullable: true
        sessionId:
          type: string
          description: Id of the session.
          nullable: true
        expires:
          type: string
          description: Date and time of then the connect window expires.
          format: date-time
        message:
          type: string
          nullable: true
          readOnly: true
      additionalProperties: false
      description: ''
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below.\r\n\r\nExample: \"Bearer 12345abcdef\""
      scheme: Bearer

````